"""empty message

Revision ID: f21a31ad25de
Revises:
Create Date: 2021-06-22 12:55:32.070700

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = "f21a31ad25de"
down_revision = None
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        "app_user",
        sa.Column("id", postgresql.UUID(as_uuid=True), nullable=False),
        sa.Column("email", sa.String(length=50), nullable=False),
        sa.Column("password", sa.String(length=200), nullable=False),
        sa.PrimaryKeyConstraint("id"),
    )
    op.create_table(
        "profile",
        sa.Column("user_id", postgresql.UUID(as_uuid=True), nullable=False),
        sa.Column("first_name", sa.String(length=50), nullable=False),
        sa.Column("last_name", sa.String(length=50), nullable=False),
        sa.ForeignKeyConstraint(["user_id"], ["app_user.id"]),
        sa.PrimaryKeyConstraint("user_id"),
    )
    op.create_table(
        "project",
        sa.Column("id", postgresql.UUID(as_uuid=True), nullable=False),
        sa.Column("user", postgresql.UUID(as_uuid=True), nullable=True),
        sa.Column("name", sa.String(length=50), nullable=False),
        sa.Column(
            "type",
            sa.Enum("DIGITAL_TWIN", "CLONE_SELECTION", name="projecttype"),
            nullable=False,
        ),
        sa.Column(
            "creating_step",
            sa.Enum(
                "DATA_UPLOAD",
                "MODEL_CONFIGURATION",
                "METABOLITE_CONSUMPTION",
                "GROWTH_KINETICS",
                "METABOLITE_FITTING",
                "TITER_FITTING",
                name="creatingstep",
            ),
            nullable=False,
        ),
        sa.Column("initial_data", sa.String(length=200), nullable=True),
        sa.Column("date_created", sa.DateTime(), nullable=True),
        sa.Column("date_modified", sa.DateTime(), nullable=True),
        sa.ForeignKeyConstraint(["user"], ["app_user.id"]),
        sa.PrimaryKeyConstraint("id"),
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table("project")
    op.drop_table("profile")
    op.drop_table("app_user")
    # ### end Alembic commands ###
